### Hierarchy

- unknown
  - BuyerAsTakerTrade

## Index

### Constructors

- constructor

### Methods

- clearTrade
- getTrade
- hasTrade
- serializeBinary
- setTrade
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new BuyerAsTakerTrade(): BuyerAsTakerTrade

- Inherited from jspb.Message.constructor

  #### Returns BuyerAsTakerTrade

## Methods

### clearTrade

- clearTrade(): BuyerAsTakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6907

  #### Returns BuyerAsTakerTrade

### getTrade

- getTrade(): undefined | Trade

- - Defined in src/protobuf/pb_pb.d.ts:6904

  #### Returns undefined | Trade

### hasTrade

- hasTrade(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6906

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6909

  #### Returns Uint8Array

### setTrade

- setTrade(value?: Trade ): BuyerAsTakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6905

  #### Parameters

  - ##### Optional value: Trade

  #### Returns BuyerAsTakerTrade

### toObject

- toObject(includeInstance?: boolean): BuyerAsTakerTrade . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6910

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns BuyerAsTakerTrade . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): BuyerAsTakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6913

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BuyerAsTakerTrade

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BuyerAsTakerTrade, reader: BinaryReader): BuyerAsTakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6914

  #### Parameters

  - ##### message: BuyerAsTakerTrade

  - ##### reader: BinaryReader

  #### Returns BuyerAsTakerTrade

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: BuyerAsTakerTrade, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6912

  #### Parameters

  - ##### message: BuyerAsTakerTrade

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: BuyerAsTakerTrade ): BuyerAsTakerTrade . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6911

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BuyerAsTakerTrade

  #### Returns BuyerAsTakerTrade . AsObject

Generated using TypeDoc